.TH "pyspottedunipd.analysis.models.StatsAnalysis" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.analysis.models.StatsAnalysis \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits \fBpyspottedunipd\&.analysis\&.models\&.FacebookPostsDataFilter\fP\&.
.PP
Inherited by \fBpyspottedunipd\&.analysis\&.models\&.MLAnalysis\fP, and \fBpyspottedunipd\&.analysis\&.models\&.TimeAnalysis\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self, \fBdataset_file\fP)"
.br
.ti -1c
.RI "def \fBshow_correlation_matrix\fP (self, title_image, headers_to_analyze)"
.br
.in -1c
.SS "Static Public Member Functions"

.in +1c
.ti -1c
.RI "def \fBget_top_posts\fP (headers, data, likes_header='likes', min_likes_to_be_top_posts=90)"
.br
.in -1c
.SS "Additional Inherited Members"
.SH "Detailed Description"
.PP 

.PP
.nf
Computes correlation of data and statistical analysis 
.fi
.PP
 
.PP
Definition at line 203 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.models\&.StatsAnalysis\&.__init__ ( self,  dataset_file)"

.PP
.nf
:param dataset_file: str
    Path to folder with data to analyse

.fi
.PP
 
.PP
Definition at line 206 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.analysis\&.models\&.StatsAnalysis\&.get_top_posts ( headers,  data,  likes_header = \fC'likes'\fP,  min_likes_to_be_top_posts = \fC90\fP)\fC [static]\fP"

.PP
.nf
:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param likes_header: str
    Column name of likes count
:param min_likes_to_be_top_posts: float in [0, 1]
    Percentile for a post to be considered top post
:return: [] of []
    List of top posts (#likes >= x * max_likes)

.fi
.PP
 
.PP
Definition at line 234 of file models\&.py\&.
.SS "def pyspottedunipd\&.analysis\&.models\&.StatsAnalysis\&.show_correlation_matrix ( self,  title_image,  headers_to_analyze)"

.PP
.nf
:param title_image: str
    Title of output image
:param headers_to_analyze: [] of str
    Compute correlation matrix of only these headers
:return: void
    Shows correlation matrix of data of files in folder

.fi
.PP
 
.PP
Definition at line 214 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
